//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.2-147 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.18 at 12:45:48 AM EET 
//


package com.balances.nsgpoc.model.gl;

import org.springframework.stereotype.Component;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.balances.nsgpoc.model.gl package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
@Component
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.balances.nsgpoc.model.gl
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressStreet2 }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressStreet2 createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusOrganizationAddressGlBusOrganizationAddressStreet2() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressStreet2();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusFiscalYearEnd }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusFiscalYearEnd createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusFiscalYearEnd() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusFiscalYearEnd();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusFiscalYearStart }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusFiscalYearStart createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusFiscalYearStart() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusFiscalYearStart();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantName }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantName createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantName() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantName();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantStreet }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantStreet createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantAddressGlBusAccountantStreet() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantStreet();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityWebSite }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityWebSite createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusEntityWebSite() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityWebSite();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactPhone.GlBusAccountantContactPhoneNumber }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactPhone.GlBusAccountantContactPhoneNumber createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantContactInformationGlBusAccountantContactPhoneGlBusAccountantContactPhoneNumber() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactPhone.GlBusAccountantContactPhoneNumber();
    }

    /**
     * Create an instance of {@link XbrliXbrl.XbrliContext }
     * 
     */
    public XbrliXbrl.XbrliContext createXbrliXbrlXbrliContext() {
        return new XbrliXbrl.XbrliContext();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactEmail }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactEmail createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantContactInformationGlBusAccountantContactEmail() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactEmail();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactFax }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactFax createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantContactInformationGlBusAccountantContactFax() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactFax();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryComment }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryComment createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryComment() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryComment();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantBuildingNumber }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantBuildingNumber createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantAddressGlBusAccountantBuildingNumber() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantBuildingNumber();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentNumber }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentNumber createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorDocumentNumber() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentNumber();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusBusinessDescription }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusBusinessDescription createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusBusinessDescription() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusBusinessDescription();
    }

    /**
     * Create an instance of {@link XbrliXbrl.XbrliContext.XbrliEntity }
     * 
     */
    public XbrliXbrl.XbrliContext.XbrliEntity createXbrliXbrlXbrliContextXbrliEntity() {
        return new XbrliXbrl.XbrliContext.XbrliEntity();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorCreationDate }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorCreationDate createXbrliXbrlGlCorAccountingEntriesGlCorDocumentInfoGlCorCreationDate() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorCreationDate();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressCity }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressCity createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusOrganizationAddressGlBusOrganizationAddressCity() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressCity();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDebitCreditCode }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDebitCreditCode createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorDebitCreditCode() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDebitCreditCode();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityWebSite.GlBusWebSiteURL }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityWebSite.GlBusWebSiteURL createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusEntityWebSiteGlBusWebSiteURL() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityWebSite.GlBusWebSiteURL();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorPeriodCoveredEnd }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorPeriodCoveredEnd createXbrliXbrlGlCorAccountingEntriesGlCorDocumentInfoGlCorPeriodCoveredEnd() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorPeriodCoveredEnd();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityPhoneNumber.GlBusPhoneNumberDescription }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityPhoneNumber.GlBusPhoneNumberDescription createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusEntityPhoneNumberGlBusPhoneNumberDescription() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityPhoneNumber.GlBusPhoneNumberDescription();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityFaxNumberStructure }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityFaxNumberStructure createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusEntityFaxNumberStructure() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityFaxNumberStructure();
    }

    /**
     * Create an instance of {@link XbrliXbrl.LinkSchemaRef }
     * 
     */
    public XbrliXbrl.LinkSchemaRef createXbrliXbrlLinkSchemaRef() {
        return new XbrliXbrl.LinkSchemaRef();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountSub.GlCorAccountSubID }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountSub.GlCorAccountSubID createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorAccountGlCorAccountSubGlCorAccountSubID() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountSub.GlCorAccountSubID();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressZipOrPostalCode }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressZipOrPostalCode createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusOrganizationAddressGlBusOrganizationAddressZipOrPostalCode() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressZipOrPostalCode();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantAddressStreet2 }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantAddressStreet2 createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantAddressGlBusAccountantAddressStreet2() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantAddressStreet2();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactEmail.GlBusAccountantContactEmailAddress }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactEmail.GlBusAccountantContactEmailAddress createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantContactInformationGlBusAccountantContactEmailGlBusAccountantContactEmailAddress() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactEmail.GlBusAccountantContactEmailAddress();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorEntriesType }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorEntriesType createXbrliXbrlGlCorAccountingEntriesGlCorDocumentInfoGlCorEntriesType() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorEntriesType();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEnteredBy }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEnteredBy createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEnteredBy() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEnteredBy();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityEmailAddressStructure.GlBusEntityEmailAddress }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityEmailAddressStructure.GlBusEntityEmailAddress createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusEntityEmailAddressStructureGlBusEntityEmailAddress() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityEmailAddressStructure.GlBusEntityEmailAddress();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityFaxNumberStructure.GlBusEntityFaxNumber }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityFaxNumberStructure.GlBusEntityFaxNumber createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusEntityFaxNumberStructureGlBusEntityFaxNumber() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityFaxNumberStructure.GlBusEntityFaxNumber();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationIdentifiers.GlBusOrganizationDescription }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationIdentifiers.GlBusOrganizationDescription createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusOrganizationIdentifiersGlBusOrganizationDescription() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationIdentifiers.GlBusOrganizationDescription();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetail() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorLineNumber }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorLineNumber createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorLineNumber() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorLineNumber();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeader() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactPhone.GlBusAccountantContactPhoneNumberDescription }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactPhone.GlBusAccountantContactPhoneNumberDescription createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantContactInformationGlBusAccountantContactPhoneGlBusAccountantContactPhoneNumberDescription() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactPhone.GlBusAccountantContactPhoneNumberDescription();
    }

    /**
     * Create an instance of {@link XbrliXbrl.XbrliUnit }
     * 
     */
    public XbrliXbrl.XbrliUnit createXbrliXbrlXbrliUnit() {
        return new XbrliXbrl.XbrliUnit();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusTotalCredit }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusTotalCredit createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlBusTotalCredit() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusTotalCredit();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantZipOrPostalCode }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantZipOrPostalCode createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantAddressGlBusAccountantZipOrPostalCode() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantZipOrPostalCode();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo createXbrliXbrlGlCorAccountingEntriesGlCorDocumentInfo() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantCity }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantCity createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantAddressGlBusAccountantCity() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantCity();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusOrganizationAddress() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEnteredDate }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEnteredDate createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEnteredDate() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEnteredDate();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorPeriodCoveredStart }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorPeriodCoveredStart createXbrliXbrlGlCorAccountingEntriesGlCorDocumentInfoGlCorPeriodCoveredStart() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorPeriodCoveredStart();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusTotalDebit }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusTotalDebit createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlBusTotalDebit() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusTotalDebit();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusBatchDescription }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusBatchDescription createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlBusBatchDescription() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusBatchDescription();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAmount }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAmount createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorAmount() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAmount();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlBusSourceApplication }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlBusSourceApplication createXbrliXbrlGlCorAccountingEntriesGlCorDocumentInfoGlBusSourceApplication() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlBusSourceApplication();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationIdentifiers.GlBusOrganizationIdentifier }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationIdentifiers.GlBusOrganizationIdentifier createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusOrganizationIdentifiersGlBusOrganizationIdentifier() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationIdentifiers.GlBusOrganizationIdentifier();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantAddress() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountSub.GlCorAccountSubDescription }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountSub.GlCorAccountSubDescription createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorAccountGlCorAccountSubGlCorAccountSubDescription() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountSub.GlCorAccountSubDescription();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformation() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityPhoneNumber.GlBusPhoneNumber }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityPhoneNumber.GlBusPhoneNumber createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusEntityPhoneNumberGlBusPhoneNumber() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityPhoneNumber.GlBusPhoneNumber();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactPhone }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactPhone createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantContactInformationGlBusAccountantContactPhone() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactPhone();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorEntriesComment }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorEntriesComment createXbrliXbrlGlCorAccountingEntriesGlCorDocumentInfoGlCorEntriesComment() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorEntriesComment();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorAccount() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantContactInformation() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityPhoneNumber }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityPhoneNumber createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusEntityPhoneNumber() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityPhoneNumber();
    }

    /**
     * Create an instance of {@link XbrliXbrl.XbrliContext.XbrliPeriod }
     * 
     */
    public XbrliXbrl.XbrliContext.XbrliPeriod createXbrliXbrlXbrliContextXbrliPeriod() {
        return new XbrliXbrl.XbrliContext.XbrliPeriod();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationIdentifiers }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationIdentifiers createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusOrganizationIdentifiers() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationIdentifiers();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorLineNumberCounter }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorLineNumberCounter createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorLineNumberCounter() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorLineNumberCounter();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentDate }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentDate createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorDocumentDate() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentDate();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityEmailAddressStructure }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityEmailAddressStructure createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusEntityEmailAddressStructure() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusEntityEmailAddressStructure();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorLanguage }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorLanguage createXbrliXbrlGlCorAccountingEntriesGlCorDocumentInfoGlCorLanguage() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorLanguage();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountMainID }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountMainID createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorAccountGlCorAccountMainID() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountMainID();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryNumber }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryNumber createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryNumber() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryNumber();
    }

    /**
     * Create an instance of {@link XbrliXbrl }
     * 
     */
    public XbrliXbrl createXbrliXbrl() {
        return new XbrliXbrl();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries createXbrliXbrlGlCorAccountingEntries() {
        return new XbrliXbrl.GlCorAccountingEntries();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorPostingDate }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorPostingDate createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorPostingDate() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorPostingDate();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountMainDescription }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountMainDescription createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorAccountGlCorAccountMainDescription() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountMainDescription();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorUniqueID }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorUniqueID createXbrliXbrlGlCorAccountingEntriesGlCorDocumentInfoGlCorUniqueID() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlCorUniqueID();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformation() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusBatchID }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusBatchID createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlBusBatchID() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlBusBatchID();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentReference }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentReference createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorDocumentReference() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentReference();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountSub }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountSub createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorAccountGlCorAccountSub() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorAccount.GlCorAccountSub();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentType }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentType createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryDetailGlCorDocumentType() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryDetail.GlCorDocumentType();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantEngagementTypeDescription }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantEngagementTypeDescription createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantEngagementTypeDescription() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantEngagementTypeDescription();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryNumberCounter }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryNumberCounter createXbrliXbrlGlCorAccountingEntriesGlCorEntryHeaderGlCorEntryNumberCounter() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntryHeader.GlCorEntryNumberCounter();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactFax.GlBusAccountantContactFaxNumber }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactFax.GlBusAccountantContactFaxNumber createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantContactInformationGlBusAccountantContactFaxGlBusAccountantContactFaxNumber() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantContactInformation.GlBusAccountantContactFax.GlBusAccountantContactFaxNumber();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantCountry }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantCountry createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusAccountantInformationGlBusAccountantAddressGlBusAccountantCountry() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusAccountantInformation.GlBusAccountantAddress.GlBusAccountantCountry();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressCountry }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressCountry createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusOrganizationAddressGlBusOrganizationAddressCountry() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressCountry();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressStreet }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressStreet createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusOrganizationAddressGlBusOrganizationAddressStreet() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationAddressStreet();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationBuildingNumber }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationBuildingNumber createXbrliXbrlGlCorAccountingEntriesGlCorEntityInformationGlBusOrganizationAddressGlBusOrganizationBuildingNumber() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorEntityInformation.GlBusOrganizationAddress.GlBusOrganizationBuildingNumber();
    }

    /**
     * Create an instance of {@link XbrliXbrl.XbrliContext.XbrliEntity.XbrliIdentifier }
     * 
     */
    public XbrliXbrl.XbrliContext.XbrliEntity.XbrliIdentifier createXbrliXbrlXbrliContextXbrliEntityXbrliIdentifier() {
        return new XbrliXbrl.XbrliContext.XbrliEntity.XbrliIdentifier();
    }

    /**
     * Create an instance of {@link XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlBusCreator }
     * 
     */
    public XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlBusCreator createXbrliXbrlGlCorAccountingEntriesGlCorDocumentInfoGlBusCreator() {
        return new XbrliXbrl.GlCorAccountingEntries.GlCorDocumentInfo.GlBusCreator();
    }

}
